import { res, schoolquery } from "./base";

export interface allProvince {
    area_id: number,
    area_name: string,
    area_level: number,
    area_parent: number
}

export async function getAllProvince() {
    const res = await schoolquery.post<res<allProvince[]>>("/getAllProvince")
    return res.data
}


export async function getAllCityVByArea_parent({ area_parent }: { area_parent: number }) {
    const res = await schoolquery.post<res<allProvince[]>>("/getAllCityVByArea_parent",{area_parent})
    return res.data
}


interface UniversityByConditio{
    area_names:string[],
    gongban: number,
    minban: number,
    benke: number,
    zhuanke: number,
    is985: number,
    is211: number,
    yiliuxveke: number,
    yiliudaxve: number

}

export interface getUniversityByConditionres{
    university_code: string,
    university_name: string,
    province: string,
    city: string,
    university_level: number,
    university_attribute: number,
    is985: number,
    is211: number,
    is_first_class_university: number,
    is_first_class_subject: number
}

export async function getUniversityByCondition(info: UniversityByConditio) {
    const res = await schoolquery.post<res<getUniversityByConditionres>>("/getUniversityByCondition",info)
    return res.data
}